is.nuID {lumi} | R Documentation

## nuID self-identification

### Description

Self-identify nuID (nucleotide universal identifier) by verify the check code value and the checksum value

### Usage

    is.nuID(id)

### Arguments

`id` | nuId or other string

### Value

Return TRUE if id is a nuID, or else return FALSE.

### Author(s)

Pan Du

### References

Du, P., Kibbe, W.A. and Lin, S.M., "nuID: A universal naming schema of oligonucleotides for Illumina, Affymetrix, and other microarrays", Biology Direct 2007, 2:16 (31May2007).

### See Also

`seq2id`, `id2seq`

### Examples

    ## check the function using a random sequence
    id <- 'adfasdfafd'
    is.nuID(id)             # FALSE

    ## check the function using a read nuID
    seq <- 'ACGTAAATTTCAGTTTAAAACCCCCCG'
    id <- seq2id(seq)
    is.nuID(id)             # TRUE

[Package lumi version 1.10.2 Index]